## AgsFxNotationAudioProcessor

AgsFxNotationAudioProcessor — fx notation audio processor

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_fx_notation_audio_processor_key_on ()
void | ags_fx_notation_audio_processor_key_off ()
void | ags_fx_notation_audio_processor_key_pressure ()
void | ags_fx_notation_audio_processor_play ()
void | ags_fx_notation_audio_processor_midi1_record ()
void | ags_fx_notation_audio_processor_midi2_record ()
void | ags_fx_notation_audio_processor_feed ()
void | ags_fx_notation_audio_processor_counter_change ()
AgsFxNotationAudioProcessor * | ags_fx_notation_audio_processor_new ()

## Types and Values

#define | AGS_FX_NOTATION_AUDIO_PROCESSOR_DEFAULT_KEY_ON_VELOCITY
enum | AgsFxNotationAudioProcessorKeyMode

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudioRun
                ╰── AgsFxNotationAudioProcessor
                    ├── AgsFxDssiAudioProcessor
                    ├── AgsFxFMSynthAudioProcessor
                    ├── AgsFxLv2AudioProcessor
                    ├── AgsFxModularSynthAudioProcessor
                    ├── AgsFxRavenSynthAudioProcessor
                    ├── AgsFxSeqSynthAudioProcessor
                    ├── AgsFxSF2SynthAudioProcessor
                    ├── AgsFxSFZSynthAudioProcessor
                    ├── AgsFxStarSynthAudioProcessor
                    ╰── AgsFxSynthAudioProcessor

## Includes

    #include <ags/audio/fx/ags_fx_notation_audio_processor.h>

## Description

The AgsFxNotationAudioProcessor class provides ports to the effect processor.

## Functions

### ags_fx_notation_audio_processor_key_on ()

    void
    ags_fx_notation_audio_processor_key_on
                                   (AgsFxNotationAudioProcessor *fx_notation_audio_processor,
                                    AgsNote *note,
                                    guint velocity,
                                    guint key_mode);

### ags_fx_notation_audio_processor_key_off ()

    void
    ags_fx_notation_audio_processor_key_off
                                   (AgsFxNotationAudioProcessor *fx_notation_audio_processor,
                                    AgsNote *note,
                                    guint velocity,
                                    guint key_mode);

### ags_fx_notation_audio_processor_key_pressure ()

    void
    ags_fx_notation_audio_processor_key_pressure
                                   (AgsFxNotationAudioProcessor *fx_notation_audio_processor,
                                    AgsNote *note,
                                    guint velocity,
                                    guint key_mode);

### ags_fx_notation_audio_processor_play ()

    void
    ags_fx_notation_audio_processor_play (AgsFxNotationAudioProcessor *fx_notation_audio_processor);

### ags_fx_notation_audio_processor_midi1_record ()

    void
    ags_fx_notation_audio_processor_midi1_record
                                   (AgsFxNotationAudioProcessor *fx_notation_audio_processor);

### ags_fx_notation_audio_processor_midi2_record ()

    void
    ags_fx_notation_audio_processor_midi2_record
                                   (AgsFxNotationAudioProcessor *fx_notation_audio_processor);

### ags_fx_notation_audio_processor_feed ()

    void
    ags_fx_notation_audio_processor_feed (AgsFxNotationAudioProcessor *fx_notation_audio_processor);

### ags_fx_notation_audio_processor_counter_change ()

    void
    ags_fx_notation_audio_processor_counter_change
                                   (AgsFxNotationAudioProcessor *fx_notation_audio_processor);

### ags_fx_notation_audio_processor_new ()

    AgsFxNotationAudioProcessor *
    ags_fx_notation_audio_processor_new (AgsAudio *audio);

Create a new instance of AgsFxNotationAudioProcessor

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxNotationAudioProcessor

Since: 3.3.0

## Types and Values

### AGS_FX_NOTATION_AUDIO_PROCESSOR_DEFAULT_KEY_ON_VELOCITY

    #define AGS_FX_NOTATION_AUDIO_PROCESSOR_DEFAULT_KEY_ON_VELOCITY (127)

### enum AgsFxNotationAudioProcessorKeyMode

#### Members

AGS_FX_NOTATION_AUDIO_PROCESSOR_KEY_MODE_PLAY |  |
AGS_FX_NOTATION_AUDIO_PROCESSOR_KEY_MODE_MIDI1_RECORD |  |
AGS_FX_NOTATION_AUDIO_PROCESSOR_KEY_MODE_MIDI2_RECORD |  |
AGS_FX_NOTATION_AUDIO_PROCESSOR_KEY_MODE_FEED |  |